#include <sys/time.h>
#include <unistd.h>
#include "tst.h"

/*
 * Time intervals for performance tuning.
 */
static struct timeval start_time;

void
ClockStart(void)
{
	gettimeofday(&start_time, (struct timezone *)NULL);
}

/*
 * Get the latest time.  Return the time elapsed since last call to ClockStart
 * or ClockAsk in 10,000ths of a second.
 */ 
int
ClockAsk(void)
{
	struct timeval tmp;
	int tics;

	gettimeofday(&tmp, (struct timezone *)NULL);
	tics = (tmp.tv_sec - start_time.tv_sec) * 10000 + (tmp.tv_usec -
			start_time.tv_usec) / 100;
	return(tics);
}
