#define _XOPEN_SOURCE	600
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <fcntl.h>
#include "tst.h"


/*
 * Open a pseudo terminal master to allow testing without serial cables, other
 * computers, etc.
 */
int
open_pty(char slave[80])
{
	int fd;

	if ((fd = posix_openpt(O_RDWR)) < 0)
	{
		perror("open pty");
		return(-1);
	}
	if (grantpt(fd) < 0 || unlockpt(fd) < 0)
	{
		close(fd);
		perror("permit pty");
		return(-1);
	}
	strncpy(slave, ptsname(fd), 79);
	slave[79] = '\0';
	return(fd);
}
