#include <termios.h>
#include <unistd.h>
#include "tst.h"

/*
 * Set termio parameters to allow raw binary communications.
 */
int
ConfigTTY(int fd)
{
	struct termios tio;

	if (tcgetattr(fd, &tio) < 0)
	{
		close(fd);
		return(-1);
	}
	cfsetspeed(&tio, B115200);
	tio.c_iflag |= IGNBRK;
	tio.c_iflag &= ~(ISTRIP | ICRNL | IXON | IXOFF);
	tio.c_lflag &= ~(ICANON | ISIG | IEXTEN | ECHO);
	tio.c_oflag &= ~(OPOST|ONLCR|OCRNL|ONOCR|ONLRET);
	tio.c_cflag |= (CLOCAL | CREAD | CS8);
	tio.c_cflag &= ~(CRTSCTS | CSTOPB | PARENB);
	tio.c_cc[VMIN] = 1;		/* > 1 chars */
	tio.c_cc[VTIME] = 0;		/* blocking */
	if (tcsetattr(fd, 0, &tio) < 0)
	{
		close(fd);
		return(-1);
	}
	return(fd);
}
